#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: retry
version: 0.7.7.0
id: retry-0.7.7.0-Cu7d4ypV4SrKDVC3tAc9aw
key: retry-0.7.7.0-Cu7d4ypV4SrKDVC3tAc9aw
license: BSD-3-Clause
copyright: Ozgun Ataman, Soostone Inc
maintainer: ozgun.ataman@soostone.com
author: Ozgun Ataman
homepage: http://github.com/Soostone/retry
synopsis: Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.
category: Control
abi: b412ae51f2691278fd29f30c997f0ccb
exposed: True
exposed-modules:
    Control.Retry
import-dirs: /usr/lib/ghc-8.6.1/site-local/retry-0.7.7.0
library-dirs: /usr/lib/ghc-8.6.1/site-local/retry-0.7.7.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.1/retry-0.7.7.0
hs-libraries: HSretry-0.7.7.0-Cu7d4ypV4SrKDVC3tAc9aw
depends:
    base-4.12.0.0 data-default-class-0.1.2.0-1aigY0ifYUs4kfvMygEld7
    exceptions-0.10.0-4DJq1L1pYJ32FjrP4E9tSI ghc-prim-0.5.3
    random-1.1-3ypV4EIycgb35PKjTYYr5q transformers-0.5.5.0
haddock-interfaces: /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html: /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

